| Home | Libraries | People | FAQ | More

##### http::serializer::next

Returns the next set of buffers in the serialization.

###### Synopsis

    template<
        class Visit>
    void
    next(
        error_code& ec,
        Visit&& visit);

###### Description

This function will attempt to call the `visit` function object with a ConstBufferSequence of unspecified type representing the next set of buffers in the serialization of the message represented by this object.

If there are no more buffers in the serialization, the visit function will not be called. In this case, no error will be indicated, and the function `is_done` will return `true`.

###### Parameters

Name | Description
--- | ---
`ec` | Set to the error, if any occurred.

`visit`

The function to call. The equivalent function signature of this object must be:

    template < class ConstBufferSequence>
    void visit(error_code&, ConstBufferSequence const &);

The function is not copied, if no error occurs it will be invoked before the call to `next` returns.